Page MenuHomePhabricator

Determine on which wikis ORES filters cause significant Watchlist slowdowns
Closed, ResolvedPublic

Description

Right now on English wikipedia, using (any?) ORES filter along with the default filters causes significant delay -- often over 1 minute (which triggers a timeout, I think). We are planning to back the ORES filters out of the New Filters beta on en.wiki until we can speed up the process. We need to find out if this problem occurs on otherORES wikis as well, in case we need to block the features on those wikis, too. To test this:

With the following settings:

  • New Filters beta activated
  • Number of results set to 250
  • Number of days set to 30
  • A dozen pages (min) on the Watchlist for the wiki being tested ( pls note the number of watched pages)
  1. Go to Watchlist
  2. Use the default filters and load the page. Note the time
  3. Now add the May Have Problems filter to the mix.
  4. Load the page and note the time.

The ORES wikis are:
en.wiki, pl,wiki, pt.wiki, cs.wiki, fa.wiki, nl.wiki, ru.wiki, tr.wiki, wikidata, he.wiki, et.wiki, fi.wiki, fr.wiki, sq.wiki, ro.wiki

Event Timeline

awight added a comment.Oct 4 2017, 8:13 PM

@jmatazzoni Can you confirm whether ORES filters would be omitted just on the Watchlist page, or from all RCFilters displays? If the latter, this seems dire and perhaps it's better to delay the RCFilters deployment?

In T177440#3658830, @awight wrote:

@jmatazzoni Can you confirm whether ORES filters would be omitted just on the Watchlist page, or from all RCFilters displays?

Just Watchlist. That's the interesting (and promising, I think) thing: there is a huge difference between performance on RC and WL.

@Catrope asked a good question: what is the load time difference when you turn OFF the New Filters beta? So I tried it, and it is similarly slow. What I did:

  • Turn off the New Filters
  • On the Watchlist Preferences page
    • select 250 and 30 days (as in the test above)
    • Select "May have problems" as a threshold and select "Highlight likely problem edits..." and "Show only likely problem edits"
  • Load the Watchlist page.

With those settings, which are roughly equivalent to the test protocol above, I got a load time of 55 seconds. Also roughly similar. So where does that put us? @Catrope, did we do anything that would change how the Watchlist search works with the beta off? I.e., did we break this, or has it always been this way? @Halfak, any thoughts?

(1) I checked trwiki, ruwiki, nlwiki, plwiki, and hewiki with the settings displayed in the ticket. The most interesting finding is that ruwiki consistently shows ~16 sec for Watchlist (the RC page load time looks normal). hewiki is slightly slower than the other wikis from the list: ~3.5s for Watchlist.

(2) per @jmatazzoni comment above re-checked on enwiki - without new filters but with 'Hide probably good edits':
https://en.wikipedia.org/w/index.php?title=Special%3AWatchlist&days=30&hidecategorization=1&hideWikibase=1&hidenondamaging=1&namespace=&action=submit gives the timeout error:
[WdVimwpAAEQAAC67vm8AAAAI] 2017-10-04 22:38:15: Fatal exception of type "Wikimedia\Rdbms\DBQueryTimeoutError"

(3) @Catrope can we monitor different wikis performance data separately?

I have a feedback concerning Wikidata filters, where a Watchlist can't be loaded.

jmatazzoni closed this task as Resolved.Oct 11 2017, 6:36 PM